Package tigase.auth.mechanisms

## Class SaslEXTERNAL

- java.lang.Object
- - tigase.auth.mechanisms.AbstractSasl
  - - tigase.auth.mechanisms.SaslEXTERNAL

- All Implemented Interfaces:
    `javax.security.sasl.SaslServer`

      public class SaslEXTERNAL
      extends AbstractSasl

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |
    `static java.lang.String` | `PEER_CERTIFICATE_KEY` |

    - ### Fields inherited from class tigase.auth.mechanisms.AbstractSasl

      `authorizedId, callbackHandler, complete, log, negotiatedProperty, PASSWORD_NOT_VERIFIED_MSG, props, SASL_STRICT_MODE_KEY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `evaluateResponse​(byte[] response)` |
    `java.lang.String` | `getAuthorizationID()` |
    `java.lang.String` | `getMechanismName()` |
    `byte[]` | `unwrap​(byte[] incoming, int offset, int len)` |
    `byte[]` | `wrap​(byte[] outgoing, int offset, int len)` |

    - ### Methods inherited from class tigase.auth.mechanisms.AbstractSasl

      `dispose, getNegotiatedProperty, handleCallbacks, isAuthzIDIgnored, isComplete, isEmpty, split`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PEER_CERTIFICATE_KEY

          public static final java.lang.String PEER_CERTIFICATE_KEY

      See Also:
        Constant Field Values

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### evaluateResponse

          public byte[] evaluateResponse​(byte[] response)
                                  throws javax.security.sasl.SaslException

      Throws:
        `javax.security.sasl.SaslException`

    - #### getAuthorizationID

          public java.lang.String getAuthorizationID()

    - #### getMechanismName

          public java.lang.String getMechanismName()

    - #### unwrap

          public byte[] unwrap​(byte[] incoming,
                               int offset,
                               int len)

    - #### wrap

          public byte[] wrap​(byte[] outgoing,
                             int offset,
                             int len)